/**
 * Test case for create.
 * Runs with mocha.
 */
"use strict";

const create = require('../lib/create.js'),
    freeport = require('freeport'),
    request = require('request'),
    apemanApp = require('apeman-app'),
    assert = require('assert');

describe('create', () => {
    let server, baseUrl;

    before((done) => {
        let app = create({});
        assert.ok(app);
        freeport((err, port) => {
            assert.ifError(err);
            apemanApp('testing-app', {
                configuration: {
                    $apps: {
                        'testing-app': {
                            '/': [
                                app
                            ]
                        }
                    }
                },
                port: port
            }).then((_server) => {
                server = _server;
                baseUrl = `http://localhost:${port}/`;

                done();
            });
        });
    });

    after((done) => {
        server.close().then(() => {
            done();
        });
    });


    it('Create', (done) => {

        done();
    });
});

